{% load static %}
<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="{% static 'tienda/css/estilos.css' %} ">
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">
    <script src="{% static 'tienda/js/alerta.js' %}"></script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@10"></script>
</head>
<body>
    <header>    
        <img src="{%static 'tienda/img/logo.png' %}" alt="Logo" class="logo">
        <nav>
            <ul>
                <li>
                    <a href="{% url 'inicio' %}">inicio</a>
                </li>
                <li>
                    <a href="{% url 'nuevo_producto' %}">Nuevo Producto</a>
                </li>
                {% if user.is_authenticated %}
                <li>
                    <a href="#">Bienvenido:  {{user.username}}</a>
                </li>
                <li>
                    <a href="{% url 'logout' %}">Cerrar sesión</a>
                </li>
                {%else%}
                <li>
                    <a href="{% url 'login' %}">Iniciar sesión</a>
                </li>
                <li>
                    <a href="{% url 'registro_usuario' %}">Regristar</a>
                </li>
                {% endif %}
        </ul>   
        </nav>
        
    </header>
    <div class ="container">   
        <h3>Listado de Productos</h3>
    
        <table class="table">
            <tr>
                <th>Nombre</th>
                <th>Marca</th>
                <th>Tipo</th>
                <th>Imagen</th>
                <th>Opciones</th> 
            </tr>
            {% for p in productos %}

            <tr>
                <td>{{p.nombre}}</td>
                <td>{{p.marca}}</td>
                <td>{{p.tipo_producto}}</td>
                <td>
                    {% if p.imagen %}
                    <img src="{{p.imagen.url}}" class="img-thumbnail" width="100" height="100">
                    {% endif %}
                </td>
                <td>
                    <a href ="{% url 'modificar_producto' p.id %}"  class= "btn btn-primary">Modificar</a>
                    <a href="#" onclick="confirmarEliminar({{p.id}})" class ="btn btn-danger">Eliminar</a>
                </td>
            </tr>
            {% endfor %}
        </table>
    </div>     
</body>
</html>

